NodeRings Docs

Create Connect Account

POST
/v1/provider/connect/account
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

email?string
country?string
type?string
metadata?object

Response Body

application/json

curl -X POST "https://api.nrings.io/v1/provider/connect/account" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}" \  -H "Content-Type: application/json" \  -d '{  "email": "string",  "country": "string",  "type": "string",  "metadata": null}'
{
  "account": {
    "id": "string",
    "email": "string",
    "country": "string",
    "type": "string",
    "status": "string",
    "onboardingUrl": "string",
    "chargesEnabled": true,
    "payoutsEnabled": true,
    "metadata": {},
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "onboardingUrl": "string",
  "requiresOnboarding": true
}